## visad.data.hdfeos
Class HdfeosAdaptedForm

    java.lang.Object
      visad.data.FormNode
          visad.data.Form
              visad.data.hdfeos.Hdfeos
                  visad.data.hdfeos.HdfeosForm
                      visad.data.hdfeos.HdfeosAdaptedForm

All Implemented Interfaces:
  FormFileInformer

public class HdfeosAdaptedForm
extends HdfeosForm

Field Summary

Fields inherited from class visad.data.hdfeos.HdfeosForm
`c_strategy`

Fields inherited from class visad.data.Form
`mathType`

Constructor Summary
`HdfeosAdaptedForm()`

Method Summary
`(package private) DataImpl` `getVisADDataObject(HdfeosData h_data)`

Methods inherited from class visad.data.hdfeos.HdfeosForm
`add, getFileData, getForms, getGridData, getMathType, getSwathData, makeField, open, open, save`

Methods inherited from class visad.data.hdfeos.Hdfeos
`getDefaultSuffixes, isThisType, isThisType`

Methods inherited from class visad.data.Form
`getMathType`

Methods inherited from class visad.data.FormNode
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HdfeosAdaptedForm

    public HdfeosAdaptedForm()

Method Detail

### getVisADDataObject

    DataImpl getVisADDataObject(HdfeosData h_data)
                          throws VisADException,
                                 RemoteException

  Overrides:
    `getVisADDataObject` in class `HdfeosForm`
  Throws:
    `VisADException`
    `RemoteException`